%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-zope-testing
Version:        3.7.3
Release:        1%{?dist}
Summary:        Zope Testing Framework
Group:          Development/Languages
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/zope.testing
Source0:        http://pypi.python.org/packages/source/z/zope.testing/zope.testing-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       python-zope-filesystem


%description
This package provides a number of testing frameworks. It includes a
flexible test runner, and supports both doctest and unittest.


%prep
%setup -q -n zope.testing-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc documentation.txt CHANGES.txt README.txt
%{python_sitelib}/zope/*
%{python_sitelib}/zope.testing*


%changelog
* Wed Apr 22 2009 Conrad Meyer <konrad@tylerc.org> - 3.7.3-1
- Bump to 3.7.3.

* Sun Dec 14 2008 Conrad Meyer <konrad@tylerc.org> - 3.7.1-1
- Initial package.
